<template>
  <div>
    <!-- <VueSlickCarousel
      :arrows="true"
      :dots="true"
      class="main-banner carousel-no-controls"
      v-if="banners"
    >
      <section
        v-for="item in banners"
        :key="item.id"
        v-bind:style="{ backgroundImage: `url(${item.banner.url})` }"
        class="banner-item"
      ></section>
    </VueSlickCarousel> -->

    <b-carousel
      id="main-banner"
      :interval="4000"
      controls
      indicators
      background="#ababab"
      img-width="1024"
      img-height="480"
      style="text-shadow: 1px 1px 2px #333;"
    >
      <!-- Text slides with image -->
      <b-carousel-slide
        :img-src="item.banner.url"
        v-for="item in banners"
        :key="item.id"
        class="carousel-item pointer"
        @click.native="toUrl(item)"
      ></b-carousel-slide>
    </b-carousel>
  </div>
</template>

<script>
import GetSliders from "@/graphql/queries/common/GetSliders.gql";

export default {
  name: "MainBanner",
  data() {
    return {
      banners: [],
    };
  },
  mounted() {
    this.getItems();
  },
  methods: {
    async getItems() {
      let response = await this.$apollo.query({
        query: GetSliders,
      });

      this.banners = response.data.GetSliders;
    },
    toUrl(item) {
      if(item.tipo_link == 0) {
        window.open(item.link)
      } else {
        this.$router.push(item.link)
      }
    }
  },
};
</script>

<style lang="scss">
@import "~/assets/scss/variables";

#main-banner,
.carousel-item {
  height: 180px;

  @media (min-width: 768px) {
      height: 315px
    }

    img {
      height: 100%;
    }
}

.main-banner {
  position: relative;

  .banner-item {
    min-height: 175px;
    background-size: cover;
    background-position: center;

    @media (min-width: 768px) {
      min-height: 350px;
    }
  }

  button.slick-arrow.slick-prev,
  button.slick-arrow.slick-next {
    position: absolute;
  }

  .slick-dots {
    list-style: none;
    display: flex !important;
    justify-content: center;
    padding: 0;
    position: absolute;
    bottom: 1.5rem;
    left: 0;
    right: 0;
    margin: auto;

    button {
      color: transparent;
      display: inline-block;
      width: 15px;
      height: 15px;
      border: 2px solid rgba($primary, 0.3);
      border-radius: 50%;
      margin: 0 0.5rem;
      display: flex;
      justify-content: center;
      align-items: center;
      transition: transform 0.1s;
    }

    .slick-active {
      button {
        background-color: rgba($primary, 0.8);
        transform: scale(1.2);
      }
    }
  }
}
</style>
